<app-base-layout
[enableMobileMenu]="true"
  title="Stocks"
  class="by-category-layout"
>
  <div
    class="container" id="mobstcnone"
  >
    <div class="row tabs-wrapper">
      <div class="col-auto d-none">
        <span
          ><a class="header-action d-none" (click)="handleBackClick($event)"
            ><img src="assets/icons/icon-arrow.png" alt="" /></a
        ></span>
      </div>

      <div class="col-lg-11 col-12">
        <app-nav-tabs [tabs]="categoryTabs"></app-nav-tabs>
      </div>
    </div>
  </div>

  <div class="container">
    <div class="content-wrapper">
      <router-outlet></router-outlet>
    </div>
  </div>
</app-base-layout>

<app-base-layout
  style="display: none"
  [enableMobileHeader]="true"
  title="All Stocks"
>
  <div class="container by-category-layout">
    <div
      class="row header-wrapper"
      style="
        position: sticky;
        top: 0px;
        z-index: 100;
        background-color: #f6f7fc;
      "
    >
      <!-- web search -->
      <!-- <div class="col search-wrapper d-none d-lg-inline">
        <app-search-field
          [placeholder]="strings.searchPlaceholder"
          (keyup)="handleSearchChange($event)"
          [searchInput]="searchInput"
        ></app-search-field>
      </div> -->
      <!-- mobile search -->
      <!-- <div class="col search-wrapper d-lg-none d-inline">
        <app-search-field
          [placeholder]="strings.searchPlaceholder"
          (click)="handlesearchNavigateMobile()"
          [searchInput]="searchInput"
        ></app-search-field>
      </div> -->

      <div class="col-auto sort-filter-wrapper">
        <button class="btn">
          <img src="assets/icons/icon-sort.png" />
          <span>Sort&nbsp;&amp; Filter</span>
        </button>
      </div>
      <div class="col-12 d-none">
        <div class="search-block" *ngIf="searchBlock">
          <div class="card">
            <div class="card-body">
              <div class="row mb-lg-4">
                <div class="col-7">
                  <a routerLink="/explore/stocks/1">
                    <span class="text">AMA</span
                    ><span class="sub-text">Marine Public Company Limited</span>
                  </a>
                </div>
                <div class="col text-right">
                  <a routerLink="/explore/stocks/1">
                    <span class="text">Stocks</span>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row content-wrapper d-none">
      <div class="col-lg-4 filters-wrapper d-none d-lg-block">
        <div class="header">
          <div class="card">
            <div class="card-body">
              <div class="row">
                <div class="col" (click)="handleApplyFilter()">FILTERS</div>
                <div class="col-auto clear">Clear filters</div>
              </div>
            </div>
          </div>
        </div>
        <!-- filter content -->
        <!-- <ngb-accordion #acc="ngbAccordion" activeIds="config-panel-one">
            <ngb-panel title="Sort by" id="config-panel-one">
              <ng-template ngbPanelContent>
                <div class="custom-control custom-radio">
                  <input type="radio" id="customRadio1" name="customRadio" class="custom-control-input">
                  <label class="custom-control-label" for="customRadio1">Market Cap</label>
                </div>
                <div class="custom-control custom-radio">
                  <input type="radio" id="customRadio2" name="customRadio" class="custom-control-input">
                  <label class="custom-control-label" for="customRadio2">Name</label>
                </div>
              </ng-template>
            </ngb-panel>
            <ngb-panel title="Market Cap">
              <ng-template ngbPanelContent>
                <div class="custom-control custom-radio">
                  <input type="radio" id="customRadio1" name="customRadio" class="custom-control-input">
                  <label class="custom-control-label" for="customRadio1">Market Cap</label>
                </div>
                <div class="custom-control custom-radio">
                  <input type="radio" id="customRadio2" name="customRadio" class="custom-control-input">
                  <label class="custom-control-label" for="customRadio2">Name</label>
                </div>
              </ng-template>
            </ngb-panel>
          </ngb-accordion> -->

        <!-- <div id="accordion">
            <div class="card">
              <div class="card-header" id="headingOne">
                <div class="row mb-0">
                  <div class="col">
                    <button class="btn btn-link" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                      {{fil.name}}
                      Name
                    </button>
                  </div>
                  <div class="col-auto">
                    <img src="assets/icons/arrow_right.svg">
                  </div>
                </div>
              </div>
          
              <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordion">
                <div class="card-body">
                  <div class="custom-control custom-radio" *ngFor="let v of fil['value']">
                    <input type="radio" id={{v}} name={{v}} class="custom-control-input" (click)="handleFilterSelect(i,v)">
                    <label class="custom-control-label" for={{v}}>{{v}}</label>
                  </div>
                </div>
              </div>
            </div>
          </div> -->
      </div>
      <div class="col-12 col-lg-8 content-list-wrapper">
        <div class="content-list-header d-none d-lg-block">
          <app-search-field
            [placeholder]="strings.searchPlaceholder"
            (onSearchChange)="handleSearchChange($event)"
            [searchInput]="searchInput"
          ></app-search-field>
          <!-- <div class="search-block" *ngIf="searchBlock">
          <div class="card">
            <div class="card-body">
              <div class="row mb-lg-4">
                <div class="col-5">
                  <a  routerLink="/explore/stocks/1">
                  <span class="text">AMA</span><span class="sub-text">Marine Public Company Limited</span>
                </a>
                </div>
                <div class="col text-right">
                  <a  routerLink="/explore/stocks/1">
                <span class="text">Stocks - SET</span>
              </a>
                </div>
              </div>
            </div>
          </div>
        </div> -->
        </div>
        <div class="content-list-body">
          <!-- <router-outlet></router-outlet> -->
        </div>
      </div>
    </div>
  </div>
</app-base-layout>

<app-search
  *ngIf="searchClickMobile"
  style="
    position: absolute;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: white;
  "
></app-search>
